{% extends 'base.html' %}
{% load static %}
{% block content %}
{% block tambahStyle %}
{% endblock tambahStyle %}
    <title>Question_or_Answer</title>
</head>
<body style="background-color: #DCE5D2;">
  {% if user.is_authenticated %}

  <div class="card" style="width: 18rem;">
    <div class="card-body">
      <h1 class="card-title">Silahkan bertanya,{{user.username}}</h1>
    </div>
  </div>
  {% endif %}
    <form action="." method="POST">{% csrf_token %}
        <div class="form-group">
          <label for="nama">Nama: </label>
          <input type="text" class="form-control" name="nama" placeholder="Isi nama anda jika ingin bertanya atau menjawab pertanyaan">
        </div>
        <div class="form-group">
          <label for="Pertanyaan dan jawaban">Pertanyaan dan Jawaban anda: </label>
          <textarea class="form-control" name = "Pertanyaan" rows="3" placeholder="Pertanyaan/Jawaban: isi (Pertanyaan / Jawaban)"></textarea>
          <small id="detail" class="form-text text-muted">untuk bertanya dan menjawab</small>
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
      </form>
      <h1>--------------------</h1>
      <h1>Tabel Pertanyaan</h1>
      <table class="table table-striped table-dark">
        <thead>
          <tr>
            <th scope="col">Nama</th>
            <th scope="col">Pertanyaan</th>
          </tr>
        </thead>
        <tbody>
          {% for i in answer %}
          <tr>
            <td>{{i.nama}}</td>
            <td>{{i.qoa}}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
</body>
{% endblock %}